<?php
  /*
   Plugin Name: Multi User
   Description: Adds Multi-User Management Section'
   Version: 1.0
   Author: Mike Henken
   Author URI:
   */

  // get correct id for plugin
  $thisfile = basename(__FILE__, ".php");

  // register plugin
  register_plugin($thisfile, // ID of plugin, should be filename minus php
  'Multi User',
  '1.0',
  'Mike Henken', // Author of plugin
  'http://www.profileyourcity.com/', // Author URL
  'Adds Multi-User Management - You can add new users as well as edit existing ones.', // Plugin Description
  'settings', // Page type of plugin
  'multiuser_show' // Function that displays content
  );

  // activate hooks
  add_action('settings-sidebar', 'createSideMenu', array($thisfile, 'User Management'));
  add_action('header', 'multiuser_perm');

  function multiuser_show()
  {
      // check if new password was provided
      if (isset($_POST['userpassword'])) {
          $pwd1 = $_POST['userpassword'];
          if ($pwd1 != '') {
              $NPASSWD = passhash($pwd1);
          }
          else {$NPASSWD = $_POST['nano']; }
      }

      // Grab data from form
      if (isset($_POST['usernamec'])) {
          $usrfile = $_POST['usernamec'] . '.xml';
      }

      if (isset($_POST['usernamec'])) {
          $NUSR = $_POST['usernamec'];
      }
      if (isset($_POST['useremail'])) {
          $NEMAIL = $_POST['useremail'];
      }

      if (isset($_POST['usereditor'])) {
          $NHTMLEDITOR = $_POST['usereditor'];
      }

      if (isset($_POST['ntimezone'])) {
          $NTIMEZONE = $_POST['ntimezone'];
      }

      if (isset($_POST['userlng'])) {
          $NLANG = $_POST['userlng'];
      }

      if (isset($_POST['Pages']) && $_POST['Pages'] == 'no') {
       $NPAGES = "no";
      }
      else {
       $NPAGES ="";
      }

      if (isset($_POST['Files']) && $_POST['Files'] == 'no') {
       $NFILES = "no";
      }
      else {
       $NFILES ="";
      }

      if (isset($_POST['Theme']) && $_POST['Files'] == 'no') {
       $NTHEME = "no";
      }
       else {
       $NTHEME ="";
      }

      if (isset($_POST['Plugins']) && $_POST['Plugins'] == 'no') {
          $NPLUGINS = "no";
      }
       else {
       $NPLUGINS ="";
      }

      if (isset($_POST['Backups']) && $_POST['Backups'] == 'no') {
       $NBACKUPS = "no";
      }
       else {
       $NBACKUPS ="";
      }

      if (isset($_POST['Settings']) && $_POST['Settings'] == 'no') {
       $NSETTINGS = "no";
      }
        else {
       $NSETTINGS ="";
      }

      if (isset($_POST['Support']) && $_POST['Support'] == 'no') {
       $NSUPPORT = "no";
      }
        else {
       $NSUPPORT ="";
      }

      if (isset($_POST['Edit']) && $_POST['Edit'] == 'no') {
       $NEDIT = "no";
      }
        else {
       $NEDIT ="";
      }

      if (isset($_POST['usernamec'])) {
          // Edit user xml file - This coding was mostly taken from the 'settings.php' page..
          createBak($usrfile, GSUSERSPATH, GSBACKUSERSPATH);
          if (file_exists(GSUSERSPATH . _id($NUSR) . '.xml.reset')) {
              unlink(GSUSERSPATH . _id($NUSR) . '.xml.reset');
          }
          $xml = new SimpleXMLElement('<item></item>');
          $xml->addChild('USR', $NUSR);
          $xml->addChild('PWD', $NPASSWD);
          $xml->addChild('EMAIL', $NEMAIL);
          $xml->addChild('HTMLEDITOR', $NHTMLEDITOR);
          $xml->addChild('TIMEZONE', $NTIMEZONE);
          $xml->addChild('LANG', $NLANG);
          $xml->addChild('PAGES', $NPAGES);
          $xml->addChild('FILES', $NFILES);
          $xml->addChild('THEME', $NTHEME);
          $xml->addChild('PLUGINS', $NPLUGINS);
          $xml->addChild('BACKUPS', $NBACKUPS);
          $xml->addChild('SETTINGS', $NSETTINGS);
          $xml->addChild('SUPPORT', $NSUPPORT);
          $xml->addChild('EDIT', $NEDIT);
          if (!XMLsave($xml, GSUSERSPATH . $usrfile)) {
              $error = i18n_r('CHMOD_ERROR');
          }
          // Redirect after script is completed... I will make the script submit via ajax later
          else {
              print '<div class="updated" style="display: block;">Your changes have been saved.</div>';
          }
      }
      multiuser_form();
  }

  function multiuser_form()
  {

    echo "<style>
    .text {
                      width:160px !important;
                     }
                     .user_tr_header {
                       border:0px;border-bottom:0px;border-bottom-width:0px;
                     }
                     .user_tr {
                       border:0px;border-bottom:0px;border-bottom-width:0px;background:#F7F7F7;
                     }
                     .user_tr td{
                       border:0px;border-bottom:0px;border-bottom-width:0px;background:#F7F7F7;
                     }
                     .user_sub_tr {
                       border:0px;border-bottom:0px !important; border-bottom-width:0px !important;border-top:0px;border-top-width:0px !important;display:none
                     }
                     .user_sub_tr h3{
                       font-size:14px; padding:0px;margin:0px;
                     }
                     .user_sub_tr td{
                       border:0px;border-bottom:0px !important;border-bottom-width:0px !important;padding-top:6px !important; border-top: 0px !important;
                     }
                     .edituseradmin {
                         text-decoration:underline;color:#D94136;
                     }
                     .user_sub_tr select{
                        width:160px;
                     }
                     .perm label {
                       clear:left
                     }
                     .perm_div {
                       width:75px;height:40px;float:left;margin-left:4px;
                     }
                     .leftsec {
                       width:180px;float:left;
                     }
                     .rightsec {
                       width:180px;
                     }
                     </style>";
      //Below is the 'Table Headers' For The user data
      echo "<h3>User Management</h3><table class=\"user_table\">";

      echo "<tr>";
      echo "<th>Username: </th><th>Email: </th><th>HTML Editor:</th><th>Edit User</th>";
      echo "</tr>";
      $dir = "./../data/users/*.xml";

      // Open a known directory, and proceed to read its contents
      foreach (glob($dir) as $file) {
          $xml = simplexml_load_file($file) or die("Unable to load XML file!");
      if ($xml->PAGES != "") {
      $pageschecked = "checked";
    }
     else {$pageschecked = "";}

     if ($xml->FILES != "") {
      $fileschecked = "checked";
    }
     else {$fileschecked = "";}

     if ($xml->THEME != "") {
      $themechecked = "checked";
    }
     else {$themechecked = "";}

     if ($xml->PLUGINS != "") {
      $pluginschecked = "checked";
    }
     else {$pluginschecked = "";}

     if ($xml->BACKUPS != "") {
      $backupschecked = "checked";
    }
    else {$backupschecked = "";}

     if ($xml->SETTINGS != "") {
      $settingschecked = "checked";
    }
     else {$settingschecked = "";}

     if ($xml->SUPPORT != "") {
      $supportchecked = "checked";
    }
     else {$supportchecked = "";}

     if ($xml->EDIT != "") {
      $editchecked = "checked";
    }
     else {$editchecked = "";}
          // access XML data
          if ($xml->HTMLEDITOR == "") {
              $htmledit = "No";
          } else {
              $htmledit = "Yes";
          }

          if ($htmledit == "No") {
              $cchecked = "";
          } elseif ($htmledit == "Yes") {
              $cchecked = "checked";
          }
          //Below is the User Data
          echo "<tr class=\"user_tr\">";
          echo "<td>&nbsp;" . $xml->USR . "</td>";
          echo "<td>&nbsp;" . $xml->EMAIL . "</td>";
          echo "<td>&nbsp;" . $htmledit . "</td>";

          //Edit Button (Expanded By Jquery Script)
          echo "<td><a style=\"text-decoration:underline;color:#D94136;\" class=\"edit-user$xml->USR\">Edit</a></td>";
          echo "</tr>";
          echo "\n";
          echo "\n";

          //Begin Edit User Data Form (editxml.php)
          echo "<form method=\"post\" action=\"load.php?id=user-managment\">";
          echo "\n";

          //Edit Username
          echo "<tr class=\"hide-div$xml->USR user_sub_tr\" style=\"\">
          <td style\"\"><input class=\"text\" id=\"usernamec\" name=\"usernamec\" type=\"text\" value=\"$xml->USR\" /></td>";
          echo "\n";

          //Edit Email
          echo "<td style=\"\"><input class=\"text\" id=\"useremail\" name=\"useremail\" type=\"text\" value=\"$xml->EMAIL\" /></td>";
          echo "\n";

          //HTML Editor Permissions
          echo "<td  style=\"\"><input name=\"usereditor\" id=\"usereditor\" type=\"checkbox\" $cchecked></td>";
          echo "\n";
          echo "\n";

          //Edit Password
          echo "</tr><tr class=\"hide-div$xml->USR user_sub_tr\" style=\"\">";
          echo "\n";
          echo "<td style\"\"><label for=\"userpassword\">Password:</label><input autocomplete=\"off\" class=\"text\" id=\"userpassword\" name=\"userpassword\" type=\"password\" value=\"\" /></td>";
          //Change Language
          echo "<td>
							  <label for=\"userlng\">Language:</label>
								<select name=\"userlng\" id=\"userlng\" class=\"text\">
                                    <option value=\"$xml->LANG\" selected=\"selected\">$xml->LANG</option>
									<option value=\"en_US\">English (en_US)</option>
								</select>
							</td>";
          //Change Timezone
          echo "<td>
							<label for=\"ntimezone\">Timezone:</label>
								<select class=\"text\" id=\"ntimezone\" name=\"ntimezone\">
                                    <option value=\"$xml->TIMEZONE\"  selected=\"selected\">$xml->TIMEZONE</option>
                                    <option value=\"Kwajalein\">(GMT-12:00) International Date Line West</option>
                                    <option value=\"Pacific/Samoa\">(GMT-11:00) Midway Island, Samoa</option>
                                    <option value=\"Pacific/Honolulu\">(GMT-10:00) Hawaii</option>
                                    <option value=\"America/Anchorage\">(GMT-09:00) Alaska</option>
                                    <option value=\"America/Los_Angeles\">(GMT-08:00) Pacific Time (US &amp; Canada)</option>
                                    <option value=\"America/Tijuana\">(GMT-08:00) Tijuana, Baja California</option>
                                    <option value=\"America/Denver\">(GMT-07:00) Mountain Time (US &amp; Canada)</option>
                                    <option value=\"America/Chihuahua\">(GMT-07:00) Chihuahua, La Paz, Mazatlan</option>
                                    <option value=\"America/Phoenix\">(GMT-07:00) Arizona</option>
                                    <option value=\"America/Regina\">(GMT-06:00) Saskatchewan</option>
                                    <option value=\"America/Tegucigalpa\">(GMT-06:00) Central America</option>
                                    <option value=\"America/Chicago\">(GMT-06:00) Central Time (US &amp; Canada)</option>
                                    <option value=\"America/Mexico_City\">(GMT-06:00) Guadalajara, Mexico City, Monterrey</option>
                                    <option value=\"America/New_York\">(GMT-05:00) Eastern Time (US &amp; Canada)</option>
                                    <option value=\"America/Bogota\">(GMT-05:00) Bogota, Lima, Quito, Rio Branco</option>
                                    <option value=\"America/Indiana/Indianapolis\">(GMT-05:00) Indiana (East)</option>
                                    <option value=\"America/Caracas\">(GMT-04:30) Caracas</option>
                                    <option value=\"America/Halifax\">(GMT-04:00) Atlantic Time (Canada)</option>
                                    <option value=\"America/Manaus\">(GMT-04:00) Manaus</option>
                                    <option value=\"America/Santiago\">(GMT-04:00) Santiago</option>
                                    <option value=\"America/La_Paz\">(GMT-04:00) La Paz</option>
                                    <option value=\"America/St_Johns\">(GMT-03:30) Newfoundland</option>
                                    <option value=\"America/Argentina/Buenos_Aires\">(GMT-03:00) Buenos Aires</option>
                                    <option value=\"America/Sao_Paulo\">(GMT-03:00) Brasilia</option>
                                    <option value=\"America/Godthab\">(GMT-03:00) Greenland</option>
                                    <option value=\"America/Montevideo\">(GMT-03:00) Montevideo</option>
                                    <option value=\"America/Argentina/Buenos_Aires\">(GMT-03:00) Georgetown</option>
                                    <option value=\"Atlantic/South_Georgia\">(GMT-02:00) Mid-Atlantic</option>
                                    <option value=\"Atlantic/Azores\">(GMT-01:00) Azores</option>
                                    <option value=\"Atlantic/Cape_Verde\">(GMT-01:00) Cape Verde Is.</option>
                                    <option value=\"Europe/London\">(GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London</option>
                                    <option value=\"Atlantic/Reykjavik\">(GMT) Monrovia, Reykjavik</option>
                                    <option value=\"Africa/Casablanca\">(GMT) Casablanca</option>
                                    <option value=\"Europe/Belgrade\">(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague</option>
                                    <option value=\"Europe/Sarajevo\">(GMT+01:00) Sarajevo, Skopje, Warsaw, Zagreb</option>
                                    <option value=\"Europe/Brussels\">(GMT+01:00) Brussels, Copenhagen, Madrid, Paris</option>
                                    <option value=\"Africa/Algiers\">(GMT+01:00) West Central Africa</option>
                                    <option value=\"Europe/Amsterdam\">(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna</option>
                                    <option value=\"Europe/Minsk\">(GMT+02:00) Minsk</option>
                                    <option value=\"Africa/Cairo\">(GMT+02:00) Cairo</option>
                                    <option value=\"Europe/Helsinki\">(GMT+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius</option>
                                    <option value=\"Europe/Athens\">(GMT+02:00) Athens, Bucharest, Istanbul</option>
                                    <option value=\"Asia/Jerusalem\">(GMT+02:00) Jerusalem</option>
                                    <option value=\"Asia/Amman\">(GMT+02:00) Amman</option>
                                    <option value=\"Asia/Beirut\">(GMT+02:00) Beirut</option>
                                    <option value=\"Africa/Windhoek\">(GMT+02:00) Windhoek</option>
                                    <option value=\"Africa/Harare\">(GMT+02:00) Harare, Pretoria</option>
                                    <option value=\"Asia/Kuwait\">(GMT+03:00) Kuwait, Riyadh</option>
                                    <option value=\"Asia/Baghdad\">(GMT+03:00) Baghdad</option>
                                    <option value=\"Africa/Nairobi\">(GMT+03:00) Nairobi</option>
                                    <option value=\"Asia/Tbilisi\">(GMT+03:00) Tbilisi</option>
                                    <option value=\"Europe/Moscow\">(GMT+03:00) Moscow, St. Petersburg, Volgograd</option>
                                    <option value=\"Asia/Tehran\">(GMT+03:30) Tehran</option>
                                    <option value=\"Asia/Muscat\">(GMT+04:00) Abu Dhabi, Muscat</option>
                                    <option value=\"Asia/Baku\">(GMT+04:00) Baku</option>
                                    <option value=\"Asia/Yerevan\">(GMT+04:00) Yerevan</option>
                                    <option value=\"Asia/Yekaterinburg\">(GMT+05:00) Ekaterinburg</option>
                                    <option value=\"Asia/Karachi\">(GMT+05:00) Islamabad, Karachi</option>
                                    <option value=\"Asia/Tashkent\">(GMT+05:00) Tashkent</option>
                                    <option value=\"Asia/Kolkata\">(GMT+05:30) Chennai, Kolkata, Mumbai, New Delhi</option>
                                    <option value=\"Asia/Colombo\">(GMT+05:30) Sri Jayawardenepura</option>
                                    <option value=\"Asia/Katmandu\">(GMT+05:45) Kathmandu</option>
                                    <option value=\"Asia/Dhaka\">(GMT+06:00) Astana, Dhaka</option>
                                    <option value=\"Asia/Novosibirsk\">(GMT+06:00) Almaty, Novosibirsk</option>
                                    <option value=\"Asia/Rangoon\">(GMT+06:30) Yangon (Rangoon)</option>
                                    <option value=\"Asia/Krasnoyarsk\">(GMT+07:00) Krasnoyarsk</option>
                                    <option value=\"Asia/Bangkok\">(GMT+07:00) Bangkok, Hanoi, Jakarta</option>
                                    <option value=\"Asia/Beijing\">(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi</option>
                                    <option value=\"Asia/Ulaanbaatar\">(GMT+08:00) Irkutsk, Ulaan Bataar</option>
                                    <option value=\"Asia/Kuala_Lumpur\">(GMT+08:00) Kuala Lumpur, Singapore</option>
                                    <option value=\"Asia/Taipei\">(GMT+08:00) Taipei</option>
                                    <option value=\"Australia/Perth\">(GMT+08:00) Perth</option>
                                    <option value=\"Asia/Seoul\">(GMT+09:00) Seoul</option>
                                    <option value=\"Asia/Tokyo\">(GMT+09:00) Osaka, Sapporo, Tokyo</option>
                                    <option value=\"Asia/Yakutsk\">(GMT+09:00) Yakutsk</option>
                                    <option value=\"Australia/Darwin\">(GMT+09:30) Darwin</option>
                                    <option value=\"Australia/Adelaide\">(GMT+09:30) Adelaide</option>
                                    <option value=\"Australia/Sydney\">(GMT+10:00) Canberra, Melbourne, Sydney</option>
                                    <option value=\"Australia/Brisbane\">(GMT+10:00) Brisbane</option>
                                    <option value=\"Australia/Hobart\">(GMT+10:00) Hobart</option>
                                    <option value=\"Asia/Vladivostok\">(GMT+10:00) Vladivostok</option>
                                    <option value=\"Pacific/Guam\">(GMT+10:00) Guam, Port Moresby</option>
                                    <option value=\"Asia/Magadan\">(GMT+11:00) Magadan, Solomon Is., New Caledonia</option>
                                    <option value=\"Pacific/Fiji\">(GMT+12:00) Fiji, Kamchatka, Marshall Is.</option>
                                    <option value=\"Pacific/Auckland\">(GMT+12:00) Auckland, Wellington</option>
                                    <option value=\"Pacific/Tongatapu\">(GMT+13:00) Nuku'alofa</option>
								</select>
							</td></tr>";
          echo "\n";

          //Permissions Checkboxes
          echo "<tr class=\"hide-div$xml->USR user_sub_tr perm\" style=\"\">
          <td colspan=\"4\" height=\"16\"><h3 style=\"\">Permissions (Check Areas You Would Like To Block Access To)</h3></td>
                        </tr>";

          echo "<tr class=\"hide-div$xml->USR user_sub_tr\" style=\"\">";
          echo "<td colspan=\"4\">
                             <div class=\"perm_div\"><label>Pages</label>
                             <input type=\"checkbox\" name=\"Pages\" value=\"no\" $pageschecked />
                             </div>

                             <div class=\"perm_div\"><label>Files</label>
                             <input type=\"checkbox\" name=\"Files\" value=\"no\" $fileschecked />
                             </div>

                             <div class=\"perm_div\"><label>Theme</label>
                             <input type=\"checkbox\" name=\"Theme\" value=\"no\" $themechecked />
                             </div>

                             <div class=\"perm_div\"><label>Plugins</label>
                             <input type=\"checkbox\" name=\"Plugins\" value=\"no\" $pluginschecked />
                             </div>

                             <div class=\"perm_div\"><label>Backups</label>
                             <input type=\"checkbox\" name=\"Backups\" value=\"no\" $backupschecked />
                             </div>

                             <div class=\"perm_div\"><label>Settings</label>
                             <input type=\"checkbox\" name=\"Settings\" value=\"no\" $settingschecked />
                             </div>

                             <div class=\"perm_div\"><label>Support</label>
                             <input type=\"checkbox\" name=\"Support\" value=\"no\" $supportchecked />
                             </div>

                             <div class=\"perm_div\"><label>Edit</label>
                             <input type=\"checkbox\" name=\"Edit\" value=\"no\" $editchecked />
                             </div>

                            </td>";
          echo "\n";
          echo "</tr>";
          echo "<tr class=\"hide-div$xml->USR user_sub_tr perm\" style=\"\"><td><input class=\"submit\" type=\"submit\" name=\"submitted\" value=\"Edit User\"/></td>";
          echo"</tr></div><input type=\"hidden\" name=\"nano\" value=\"$xml->PWD\"/></form>";
          echo "\n";
          echo "\n";
      }
      echo "</table>";
      echo "<div class=\"edit-nav clearfix\"><p><a href=\"#\" id=\"add-user\">Add New User</a></p></div>";
      echo "<script type=\"text/javascript\">";
      foreach (glob($dir) as $file) {
          $xml = simplexml_load_file($file) or die("Unable to load XML file!");
          echo "\$(\".edit-user$xml->USR\").click(function () {";
          echo "\n";
          echo "\$(\".edit-user$xml->USR\").hide(\"slow\");";
          echo "\n";
          echo "\$(\".hide-div$xml->USR\").show(\"slow\");";
          echo "\n";
          echo "});";
          echo "\n";
          echo "\$(\"hideagain\").click(function () {";
          echo "\n";
          echo "\$(\".edit-user$xml->USR\").show(\"slow\");";
          echo "\n";
          echo "\$(\".hide-div$xml->USR\").hide(\"slow\");";
          echo "\n";
          echo "});";
          echo "\$(\"#add-user\").click(function () {";
          echo "\n";
          echo "\$(\"#add-user\").hide(\"slow\");";
          echo "\n";
          echo "\$(\".hide-div\").show(\"slow\");";
          echo "\n";
          echo "});";
      }
      echo "</script>";
      echo "
 <!-- Below is the html form to add a new user.. It is proccesed with 'readxml.php' -->
      <div id=\"profile\" class=\"hide-div section\" style=\"display:none;margin-top:0px;\">
      <form method=\"post\" action=\"load.php?id=user-managment-add\">
    <h3>Add New User</h3>
    <div class=\"leftsec\">
      <p><label for=\"usernamec\" >Username:</label><input class=\"text\" id=\"usernamec\" name=\"usernamec\" type=\"text\" value=\"\" /></p>
    </div>
    <div class=\"rightsec\">
      <p><label for=\"useremail\" >Email :</label><input class=\"text\" id=\"useremail\" name=\"useremail\" type=\"text\" value=\"\" /></p>
    </div>
    <div class=\"leftsec\">
      <p><label for=\"ntimezone\" >Timezone:</label>
      <select class=\"text\" id=\"ntimezone\" name=\"ntimezone\">
      <option value=\"Kwajalein\">(GMT-12:00) International Date Line West</option>
                                    <option value=\"Pacific/Samoa\">(GMT-11:00) Midway Island, Samoa</option>
                                    <option value=\"Pacific/Honolulu\">(GMT-10:00) Hawaii</option>
                                    <option value=\"America/Anchorage\">(GMT-09:00) Alaska</option>
                                    <option value=\"America/Los_Angeles\">(GMT-08:00) Pacific Time (US &amp; Canada)</option>
                                    <option value=\"America/Tijuana\">(GMT-08:00) Tijuana, Baja California</option>
                                    <option value=\"America/Denver\">(GMT-07:00) Mountain Time (US &amp; Canada)</option>
                                    <option value=\"America/Chihuahua\">(GMT-07:00) Chihuahua, La Paz, Mazatlan</option>
                                    <option value=\"America/Phoenix\">(GMT-07:00) Arizona</option>
                                    <option value=\"America/Regina\">(GMT-06:00) Saskatchewan</option>
                                    <option value=\"America/Tegucigalpa\">(GMT-06:00) Central America</option>
                                    <option value=\"America/Chicago\">(GMT-06:00) Central Time (US &amp; Canada)</option>
                                    <option value=\"America/Mexico_City\">(GMT-06:00) Guadalajara, Mexico City, Monterrey</option>
                                    <option value=\"America/New_York\">(GMT-05:00) Eastern Time (US &amp; Canada)</option>
                                    <option value=\"America/Bogota\">(GMT-05:00) Bogota, Lima, Quito, Rio Branco</option>
                                    <option value=\"America/Indiana/Indianapolis\">(GMT-05:00) Indiana (East)</option>
                                    <option value=\"America/Caracas\">(GMT-04:30) Caracas</option>
                                    <option value=\"America/Halifax\">(GMT-04:00) Atlantic Time (Canada)</option>
                                    <option value=\"America/Manaus\">(GMT-04:00) Manaus</option>
                                    <option value=\"America/Santiago\">(GMT-04:00) Santiago</option>
                                    <option value=\"America/La_Paz\">(GMT-04:00) La Paz</option>
                                    <option value=\"America/St_Johns\">(GMT-03:30) Newfoundland</option>
                                    <option value=\"America/Argentina/Buenos_Aires\">(GMT-03:00) Buenos Aires</option>
                                    <option value=\"America/Sao_Paulo\">(GMT-03:00) Brasilia</option>
                                    <option value=\"America/Godthab\">(GMT-03:00) Greenland</option>
                                    <option value=\"America/Montevideo\">(GMT-03:00) Montevideo</option>
                                    <option value=\"America/Argentina/Buenos_Aires\">(GMT-03:00) Georgetown</option>
                                    <option value=\"Atlantic/South_Georgia\">(GMT-02:00) Mid-Atlantic</option>
                                    <option value=\"Atlantic/Azores\">(GMT-01:00) Azores</option>
                                    <option value=\"Atlantic/Cape_Verde\">(GMT-01:00) Cape Verde Is.</option>
                                    <option value=\"Europe/London\">(GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London</option>
                                    <option value=\"Atlantic/Reykjavik\">(GMT) Monrovia, Reykjavik</option>
                                    <option value=\"Africa/Casablanca\">(GMT) Casablanca</option>
                                    <option value=\"Europe/Belgrade\">(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague</option>
                                    <option value=\"Europe/Sarajevo\">(GMT+01:00) Sarajevo, Skopje, Warsaw, Zagreb</option>
                                    <option value=\"Europe/Brussels\">(GMT+01:00) Brussels, Copenhagen, Madrid, Paris</option>
                                    <option value=\"Africa/Algiers\">(GMT+01:00) West Central Africa</option>
                                    <option value=\"Europe/Amsterdam\">(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna</option>
                                    <option value=\"Europe/Minsk\">(GMT+02:00) Minsk</option>
                                    <option value=\"Africa/Cairo\">(GMT+02:00) Cairo</option>
                                    <option value=\"Europe/Helsinki\">(GMT+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius</option>
                                    <option value=\"Europe/Athens\">(GMT+02:00) Athens, Bucharest, Istanbul</option>
                                    <option value=\"Asia/Jerusalem\">(GMT+02:00) Jerusalem</option>
                                    <option value=\"Asia/Amman\">(GMT+02:00) Amman</option>
                                    <option value=\"Asia/Beirut\">(GMT+02:00) Beirut</option>
                                    <option value=\"Africa/Windhoek\">(GMT+02:00) Windhoek</option>
                                    <option value=\"Africa/Harare\">(GMT+02:00) Harare, Pretoria</option>
                                    <option value=\"Asia/Kuwait\">(GMT+03:00) Kuwait, Riyadh</option>
                                    <option value=\"Asia/Baghdad\">(GMT+03:00) Baghdad</option>
                                    <option value=\"Africa/Nairobi\">(GMT+03:00) Nairobi</option>
                                    <option value=\"Asia/Tbilisi\">(GMT+03:00) Tbilisi</option>
                                    <option value=\"Europe/Moscow\">(GMT+03:00) Moscow, St. Petersburg, Volgograd</option>
                                    <option value=\"Asia/Tehran\">(GMT+03:30) Tehran</option>
                                    <option value=\"Asia/Muscat\">(GMT+04:00) Abu Dhabi, Muscat</option>
                                    <option value=\"Asia/Baku\">(GMT+04:00) Baku</option>
                                    <option value=\"Asia/Yerevan\">(GMT+04:00) Yerevan</option>
                                    <option value=\"Asia/Yekaterinburg\">(GMT+05:00) Ekaterinburg</option>
                                    <option value=\"Asia/Karachi\">(GMT+05:00) Islamabad, Karachi</option>
                                    <option value=\"Asia/Tashkent\">(GMT+05:00) Tashkent</option>
                                    <option value=\"Asia/Kolkata\">(GMT+05:30) Chennai, Kolkata, Mumbai, New Delhi</option>
                                    <option value=\"Asia/Colombo\">(GMT+05:30) Sri Jayawardenepura</option>
                                    <option value=\"Asia/Katmandu\">(GMT+05:45) Kathmandu</option>
                                    <option value=\"Asia/Dhaka\">(GMT+06:00) Astana, Dhaka</option>
                                    <option value=\"Asia/Novosibirsk\">(GMT+06:00) Almaty, Novosibirsk</option>
                                    <option value=\"Asia/Rangoon\">(GMT+06:30) Yangon (Rangoon)</option>
                                    <option value=\"Asia/Krasnoyarsk\">(GMT+07:00) Krasnoyarsk</option>
                                    <option value=\"Asia/Bangkok\">(GMT+07:00) Bangkok, Hanoi, Jakarta</option>
                                    <option value=\"Asia/Beijing\">(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi</option>
                                    <option value=\"Asia/Ulaanbaatar\">(GMT+08:00) Irkutsk, Ulaan Bataar</option>
                                    <option value=\"Asia/Kuala_Lumpur\">(GMT+08:00) Kuala Lumpur, Singapore</option>
                                    <option value=\"Asia/Taipei\">(GMT+08:00) Taipei</option>
                                    <option value=\"Australia/Perth\">(GMT+08:00) Perth</option>
                                    <option value=\"Asia/Seoul\">(GMT+09:00) Seoul</option>
                                    <option value=\"Asia/Tokyo\">(GMT+09:00) Osaka, Sapporo, Tokyo</option>
                                    <option value=\"Asia/Yakutsk\">(GMT+09:00) Yakutsk</option>
                                    <option value=\"Australia/Darwin\">(GMT+09:30) Darwin</option>
                                    <option value=\"Australia/Adelaide\">(GMT+09:30) Adelaide</option>
                                    <option value=\"Australia/Sydney\">(GMT+10:00) Canberra, Melbourne, Sydney</option>
                                    <option value=\"Australia/Brisbane\">(GMT+10:00) Brisbane</option>
                                    <option value=\"Australia/Hobart\">(GMT+10:00) Hobart</option>
                                    <option value=\"Asia/Vladivostok\">(GMT+10:00) Vladivostok</option>
                                    <option value=\"Pacific/Guam\">(GMT+10:00) Guam, Port Moresby</option>
                                    <option value=\"Asia/Magadan\">(GMT+11:00) Magadan, Solomon Is., New Caledonia</option>
                                    <option value=\"Pacific/Fiji\">(GMT+12:00) Fiji, Kamchatka, Marshall Is.</option>
                                    <option value=\"Pacific/Auckland\">(GMT+12:00) Auckland, Wellington</option>
                                    <option value=\"Pacific/Tongatapu\">(GMT+13:00) Nuku'alofa</option>
								</select>
      </select>
      </p>
    </div>
    <div class=\"rightsec\">
      <p><label for=\"userlng\" >Language:</label>
      <select name=\"userlng\" id=\"userlng\" class=\"text\">
			<option value=\"en_US\"selected=\"selected\">English (en_US)</option>
      </select><br /><a href=\"http://get-simple.info/download/languages/\" style=\"font-size:11px;\" target=\"_blank\" ><?php i18n('MORE');?></a>
      </p>
    </div>
     <div class=\"leftsec\">
      <p><label for=\"userpassword\" >Password:</label><input autocomplete=\"off\" class=\"text\" id=\"userpassword\" name=\"userpassword\" type=\"password\" value=\"\" /></p>
    </div>
     <div class=\"leftsec\">
       <p class=\"inline\" style=\"padding-top:24px;\"><input name=\"usereditor\" id=\"usereditor\" type=\"checkbox\" value=\"1\"  /> &nbsp;<label for=\"usereditor\" >Enable the HTML editor</label></p>
    </div>
      <div class=\"clear\"></div>
      <h3 style=\"font-size:14px;\">Permissions (Check Areas You Would Like To Block Access To)</h3>
             <div class=\"perm_div\"><label>Pages</label>
                             <input type=\"checkbox\" name=\"Pages\" value=\"no\" $pageschecked />
                             </div>

                             <div class=\"perm_div\"><label>Files</label>
                             <input type=\"checkbox\" name=\"Files\" value=\"no\" />
                             </div>

                             <div class=\"perm_div\"><label>Theme</label>
                             <input type=\"checkbox\" name=\"Theme\" value=\"no\" />
                             </div>

                             <div class=\"perm_div\"><label>Plugins</label>
                             <input type=\"checkbox\" name=\"Plugins\" value=\"no\" />
                             </div>

                             <div class=\"perm_div\"><label>Backups</label>
                             <input type=\"checkbox\" name=\"Backups\" value=\"no\" />
                             </div>

                             <div class=\"perm_div\"><label>Settings</label>
                             <input type=\"checkbox\" name=\"Settings\" value=\"no\" />
                             </div>

                             <div class=\"perm_div\"><label>Support</label>
                             <input type=\"checkbox\" name=\"Support\" value=\"no\" />
                             </div>

                             <div class=\"perm_div\"><label>Edit</label>
                             <input type=\"checkbox\" name=\"Edit\" value=\"no\" />
                             </div>
                             <div class=\"clear\"></div>



    <div class=\"rightsec\">
      <p></p>
    </div>
    <div class=\"clear\"></div>

    <p id=\"submit_line\" >
      <span><input class=\"submit\" type=\"submit\" name=\"submitted\" value=\"Add New User\" /></span> &nbsp;&nbsp;<?php i18n('OR'); ?>&nbsp;&nbsp; <a class=\"cancel\" href=\"settings.php?cancel\"><?php i18n('CANCEL'); ?></a>
    </p></form>

    </div>";
  }

  function multiuser_perm()
  {
      $current_user = get_cookie('GS_ADMIN_USERNAME');
      $dir = "./../data/users/" . $current_user . ".xml";
      $xml = simplexml_load_file($dir) or die("Unable to load XML file!");
      $current_file = $_SERVER["PHP_SELF"];
      $current_file = basename(rtrim($current_file, '/'));

      //PERMISSIONS rules below

      //Settings.php permissions
      if ($current_file == "settings.php") {
          if ($xml->SETTINGS == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {
                   $settings_menu ="";
                   }
      }
          if ($xml->SETTINGS == "no") {
              $settings_menu = ".settings {display:none !important;}";
          }
                else {
                   $settings_menu ="";
                   }

      //backups.php permisions
      if ($current_file == "backups.php") {
          if ($xml->BACKUPS == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {
                   $backups_menu ="";
                   }
      }
          if ($xml->BACKUPS == "no") {
              $backups_menu = ".backups {display:none !important;}";
          }
                else {
                   $backups_menu ="";
                   }

      //plugins.php permissions
      if ($current_file == "plugins.php") {
          if ($xml->PLUGINS == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {
                   $plugins_menu ="";
                   }
      }
          if ($xml->PLUGINS == "no") {
              $plugins_menu = ".plugins {display:none !important;}";
          }
                else {
                   $plugins_menu ="";
                   }

     //pages.php permissions
      if ($current_file == "pages.php") {
          if ($xml->PAGES == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {
                   $pages_menu ="";
                   }
      }
          if ($xml->PAGES == "no") {
              $pages_menu = ".pages {display:none !important;}";
          }
                else {
                   $pages_menu ="";
                   }

     //support.php & health-check.php permissions
      if ($current_file == "support.php") {
          if ($xml->SUPPORT == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {
                    $support_menu ="";
                   }
      }
         if ($xml->SUPPORT == "no") {
              $support_menu = ".support {display:none !important;}";
          }
                else {
                    $support_menu ="";
                   }

      //uploads.php (files page) permissions
      if ($current_file == "upload.php") {
          if ($xml->FILES == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {
                     $files_menu ="";
                   }
      }
          if ($xml->FILES == "no") {
              $files_menu = ".files {display:none !important;}";
          }
                else {
                     $files_menu ="";
                   }

      //theme.php permissions
      if ($current_file == "theme.php") {
          if ($xml->THEME == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {
                    $theme_menu ="";
                   }
      }
         if ($xml->THEME == "no") {
              $theme_menu = ".theme {display:none !important;}";
          }
                else {
                    $theme_menu ="";
                   }

      //archive.php
      if ($current_file == "archive.php") {
          if ($xml->BACKUPS == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {

                   }
      }

      //theme-edit.php permissions
      if ($current_file == "theme-edit.php") {
          if ($xml->THEME == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {

                   }
      }

      //components.php permissions
      if ($current_file == "components.php") {
          if ($xml->THEME == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {

                   }
      }


      //edit.php
      if ($current_file == "edit.php") {
          if ($xml->EDIT == "no") {
              die('You Do Not Have Permissions To Access This Page');
          }
                else {
                  $edit_menu ="";
                   }
      }
      if ($xml->EDIT == "no") {
              $edit_menu = ".snav {display:none !important;}";
          }
                else {
                  $edit_menu ="";
                   }

      //Hide Menu Items
      echo"<style type=\"text/css\">";

      echo $settings_menu . $backups_menu . $plugins_menu . $pages_menu . $support_menu . $files_menu . $theme_menu . $edit_menu;

      echo "</style>";
  }
?>